## clevis 11

=== meson_options.txt ===
option('user', type: 'string', value: 'clevis', description: 'Unprivileged user for secure clevis operations')
option('group', type: 'string', value: 'clevis', description: 'Unprivileged group for secure clevis operations')

## clevis 8

=== debian/changelog ===
clevis (8-1ubuntu0.2) bionic; urgency=medium

  * initramfs: Fix parsing of interface names when bringing the network
    back down in local-bottom, which also avoids a mess of "ip: can't find
    device '/sys/class/net/$iface'" errors on the console. LP: #1896294.
  * initramfs: Warn users with multiple interfaces that they should consider
    specifying an 'ip=' parameter for reliable operation. LP: #1896289.
    As a side-effect, also fix interface parsing while bringing links
    up. LP: #1873593.
  * initramfs: Wait for interface to appear before attempting configuration.
    LP: #1873914.
  * initramfs: Make network configuration as-needed. This functionality
    depends on the new clevis-luks-list command which is also backported.
    LP: #1896509. Requires new build-dep on asciidoctor in order to build
    the clevis-luks-list manpage.

 -- dann frazier <dannf@ubuntu.com>  Wed, 14 Oct 2020 11:23:01 -0600

clevis (8-1ubuntu0.1) bionic; urgency=medium

  * Add clevis-initramfs package (LP: #1872832)

 -- dann frazier <dannf@ubuntu.com>  Wed, 29 Apr 2020 16:18:51 -0600

clevis (8-1) unstable; urgency=medium

  * Initial release. Closes: #854410

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 29 Nov 2017 00:01:49 +0100

=== debian/control ===
Source: clevis
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://github.com/latchset/clevis
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10~),
    asciidoctor,
    curl,
    dracut,
    jose,
    libaudit-dev (>= 1:2.7.8),
    libglib2.0-dev,
    libjansson4 (>= 2.10),
    libjose-dev,
    libluksmeta-dev (>= 8),
    libpwquality-tools,
    libssl-dev,
    libudisks2-dev,
    pkg-config,
    systemd,
    tang,
Priority: optional
Section: net

Package: clevis
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    cracklib-runtime,
    curl,
    jose,
    libpwquality-tools,
    luksmeta,
Recommends:
    cryptsetup,
Description: automated encryption framework
 Clevis is a plugable framework for automated decryption. It can be used
 to provide automated decryption of data or even automated unlocking of
 LUKS volumes.
 .
 It supports tang, shamir secret sharing, escrow using HTTP.

Package: clevis-dracut
Architecture: all
Depends: ${misc:Depends},
    clevis-systemd,
    dracut-network,
Description: Dracut integration for clevis
 Clevis is a plugable framework for automated decryption. This package
 provides integration for the dracut initramfs to automatically unlock
 LUKSv1 block devices in early boot.

Package: clevis-initramfs
Architecture: all
Depends: ${misc:Depends},
    clevis-luks,
    initramfs-tools,
Description: Clevis initramfs integration
 Clevis is a plugable framework for automated decryption. This package
 provides integration for initramfs-tools to automatically unlock LUKSv1
 block devices in early boot.

Package: clevis-luks
Architecture: all
Depends: ${misc:Depends},
    clevis,
    cryptsetup,
    luksmeta,
Description: LUKSv1 integration for clevis
 This package allows you to bind a LUKSv1 volume to a clevis unlocking
 policy. For automated unlocking, an unlocker will also be required.
 See, for example, clevis-dracut and clevis-udisks2.

Package: clevis-systemd
Architecture: linux-any
Depends: ${misc:Depends},
    clevis-luks,
    socat,
    systemd,
Description: systemd integration for clevis
 Clevis is a plugable framework for automated decryption. This package
 provides automatic unlocking of LUKSv1 _netdev block devices from
 /etc/crypttab.

Package: clevis-udisks2
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: UDisks2/Storaged integration for clevis
 Clevis is a plugable framework for automated decryption. This package
 provides automatic unlocking LUKSv1 block devices in desktop
 environments that use UDisks2 or storaged.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# wait for #880984
override_dh_auto_configure:
	dh_auto_configure -- --with-dracutmodulesdir=/usr/lib/dracut/modules.d

doc/clevis-luks-list.1:	doc/clevis-luks-list.1.adoc
	asciidoctor --attribute reproducible --backend=manpage $<

override_dh_auto_build: doc/clevis-luks-list.1
	dh_auto_build

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	rm -f doc/clevis-luks-list.1
	dh_auto_clean

## clevis 10

=== debian/changelog ===
clevis (10-2) unstable; urgency=medium

  * Don't fail when building architecture all packages only.
    Closes: #906595

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 26 Aug 2018 10:37:31 +0200

clevis (10-1) unstable; urgency=medium

  * New upstream version
  * Install clevis-luks-udisks2 setuid root. Closes: #902447

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 24 Jul 2018 07:48:03 +0200

clevis (9-1) UNRELEASED; urgency=medium

  * New upstream version

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 24 Feb 2018 11:02:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: clevis
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/clevis
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10~),
-    asciidoctor,
+Standards-Version: 4.1.5
+Vcs-Browser: https://git.in-ulm.de/cbiedl/clevis
+Vcs-Git: https://git.in-ulm.de/cbiedl/clevis.git
+Build-Depends: debhelper (>= 11~),
     curl,
-    dracut,
+    dracut (>= 047+31-1~),
     jose,
     libaudit-dev (>= 1:2.7.8),
     libglib2.0-dev,
@@ -19,6 +19,7 @@
     pkg-config,
     systemd,
     tang,
+    tpm2-tools,
 Priority: optional
 Section: net
 
@@ -37,7 +38,21 @@
  to provide automated decryption of data or even automated unlocking of
  LUKS volumes.
  .
- It supports tang, shamir secret sharing, escrow using HTTP.
+ It supports tang, shamir secret sharing (SSS), and escrow using HTTP.
+
+Package: clevis-tpm2
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+    clevis,
+    tpm2-tools,
+Recommends:
+    cryptsetup,
+Description: automated encryption framework, TPM2 support
+ Clevis is a plugable framework for automated decryption. It can be used
+ to provide automated decryption of data or even automated unlocking of
+ LUKS volumes.
+ .
+ This package provides the TPM2 pin.
 
 Package: clevis-dracut
 Architecture: all
@@ -48,16 +63,6 @@
  Clevis is a plugable framework for automated decryption. This package
  provides integration for the dracut initramfs to automatically unlock
  LUKSv1 block devices in early boot.
-
-Package: clevis-initramfs
-Architecture: all
-Depends: ${misc:Depends},
-    clevis-luks,
-    initramfs-tools,
-Description: Clevis initramfs integration
- Clevis is a plugable framework for automated decryption. This package
- provides integration for initramfs-tools to automatically unlock LUKSv1
- block devices in early boot.
 
 Package: clevis-luks
 Architecture: all

## clevis 11

=== debian/changelog ===
clevis (11-2) unstable; urgency=medium

  * Use cryptsetup-bin as dependency, following the cryptsetup
    transition

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Mar 2019 11:37:24 +0100

clevis (11-1) unstable; urgency=medium

  * New upstream version. Closes: #912147

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 30 Oct 2018 22:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: clevis
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/clevis
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://git.in-ulm.de/cbiedl/clevis
 Vcs-Git: https://git.in-ulm.de/cbiedl/clevis.git
 Build-Depends: debhelper (>= 11~),
+    asciidoctor,
     curl,
     dracut (>= 047+31-1~),
     jose,
@@ -16,7 +17,7 @@
     libpwquality-tools,
     libssl-dev,
     libudisks2-dev,
-    pkg-config,
+    meson,
     systemd,
     tang,
     tpm2-tools,
@@ -32,13 +33,13 @@
     libpwquality-tools,
     luksmeta,
 Recommends:
-    cryptsetup,
+    cryptsetup-bin,
 Description: automated encryption framework
  Clevis is a plugable framework for automated decryption. It can be used
  to provide automated decryption of data or even automated unlocking of
  LUKS volumes.
  .
- It supports tang, shamir secret sharing (SSS), and escrow using HTTP.
+ It supports tang and shamir secret sharing (SSS).
 
 Package: clevis-tpm2
 Architecture: linux-any
@@ -46,7 +47,7 @@
     clevis,
     tpm2-tools,
 Recommends:
-    cryptsetup,
+    cryptsetup-bin,
 Description: automated encryption framework, TPM2 support
  Clevis is a plugable framework for automated decryption. It can be used
  to provide automated decryption of data or even automated unlocking of
@@ -68,7 +69,7 @@
 Architecture: all
 Depends: ${misc:Depends},
     clevis,
-    cryptsetup,
+    cryptsetup-bin,
     luksmeta,
 Description: LUKSv1 integration for clevis
  This package allows you to bind a LUKSv1 volume to a clevis unlocking

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	find debian/clevis-udisks2/usr/lib/*/clevis-luks-udisks2 -type f -print0 | \
		xargs -r0 chmod u+s

## clevis 12

=== debian/changelog ===
clevis (12-1ubuntu2) focal; urgency=medium

  * d/p/Updated-initramfs-tools-to-work-on-18.04-and-20.04-a.patch:
    Add retry support and compatibility with older cryptsetup versions.

 -- dann frazier <dannf@ubuntu.com>  Mon, 13 Apr 2020 10:06:12 -0600

clevis (12-1ubuntu1) focal; urgency=medium

  * New upstream release (LP: #1868323) adds support for:
    - Decrypting volumes via initramfs-tools (LP: #1814460)
    - tpm2-tools 4.x (LP: #1860136)
  * d/p/Avoid-grep-z-which-isn-t-supported-by-busybox-initra.patch:
    Fix compatibility with busybox-initramfs.
  * clevis-initramfs: Add an update-initramfs trigger.
  * debian/control: Correct description.

 -- dann frazier <dannf@ubuntu.com>  Fri, 20 Mar 2020 14:44:21 -0600

clevis (12-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 12. Closes: #891410, #952240
  * Add support for clevis-initramfs

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 24 Feb 2020 00:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: clevis
-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/clevis
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.in-ulm.de/cbiedl/clevis
 Vcs-Git: https://git.in-ulm.de/cbiedl/clevis.git
 Build-Depends: debhelper (>= 11~),
     asciidoctor,
+    bash-completion,
     curl,
-    dracut (>= 047+31-1~),
+    dracut-core,
+    initramfs-tools,
     jose,
     libaudit-dev (>= 1:2.7.8),
     libglib2.0-dev,
@@ -22,6 +25,7 @@
     tang,
     tpm2-tools,
 Priority: optional
+Rules-Requires-Root: no
 Section: net
 
 Package: clevis
@@ -43,7 +47,7 @@
 
 Package: clevis-tpm2
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
     clevis,
     tpm2-tools,
 Recommends:
@@ -60,10 +64,20 @@
 Depends: ${misc:Depends},
     clevis-systemd,
     dracut-network,
-Description: Dracut integration for clevis
+Description: Clevis integration for dracut
  Clevis is a plugable framework for automated decryption. This package
- provides integration for the dracut initramfs to automatically unlock
- LUKSv1 block devices in early boot.
+ provides integration for dracut to automatically unlock LUKSv1 block
+ devices in early boot.
+
+Package: clevis-initramfs
+Architecture: all
+Depends: ${misc:Depends},
+    clevis-luks,
+    initramfs-tools,
+Description: Clevis initramfs integration
+ Clevis is a plugable framework for automated decryption. This package
+ provides integration for initramfs-tools to automatically unlock LUKSv1
+ block devices in early boot.
 
 Package: clevis-luks
 Architecture: all
@@ -80,7 +94,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
     clevis-luks,
-    socat,
+    ncat,
     systemd,
 Description: systemd integration for clevis
  Clevis is a plugable framework for automated decryption. This package

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@  --with=bash-completion
 
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===

version=3
https://github.com/latchset/clevis/releases \
    /latchset/clevis/releases/download/[^/]+/clevis-([0-9][.0-9]*)\.tar\.xz

## clevis 13

=== debian/changelog ===
clevis (13-2) unstable; urgency=medium

  * Make clevis-udisks2 usable
  * Embed TPM kernel modules in initramfs
  * Include more programs in the generated initrd/initramfs

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 21 May 2020 22:32:37 +0200

clevis (13-1) unstable; urgency=low

  * New upstream version 13. Closes: #954208
  * Build clevis-dracut and clevis-initramfs as arch-any.
    Closes: #948137
  * Trigger initramfs generation. Closes: #954206
  * Fix brainos in package descriptions. Closes: #954182

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 18 May 2020 18:47:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: clevis
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/clevis
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.in-ulm.de/cbiedl/clevis
 Vcs-Git: https://git.in-ulm.de/cbiedl/clevis.git
 Build-Depends: debhelper (>= 11~),
@@ -48,7 +47,7 @@
 Package: clevis-tpm2
 Architecture: linux-any
 Depends: ${misc:Depends},
-    clevis,
+    clevis (= ${binary:Version}),
     tpm2-tools,
 Recommends:
     cryptsetup-bin,
@@ -60,51 +59,55 @@
  This package provides the TPM2 pin.
 
 Package: clevis-dracut
-Architecture: all
+Architecture: linux-any
 Depends: ${misc:Depends},
-    clevis-systemd,
+    clevis-systemd (= ${binary:Version}),
     dracut-network,
 Description: Clevis integration for dracut
  Clevis is a plugable framework for automated decryption. This package
- provides integration for dracut to automatically unlock LUKSv1 block
- devices in early boot.
+ provides integration for dracut to automatically unlock LUKS encrypted
+ block devices in early boot.
 
 Package: clevis-initramfs
-Architecture: all
+Architecture: linux-any
 Depends: ${misc:Depends},
-    clevis-luks,
+    clevis-luks (= ${binary:Version}),
     initramfs-tools,
 Description: Clevis initramfs integration
  Clevis is a plugable framework for automated decryption. This package
- provides integration for initramfs-tools to automatically unlock LUKSv1
- block devices in early boot.
+ provides integration for initramfs-tools to automatically unlock LUKS
+ encrypted block devices in early boot.
 
 Package: clevis-luks
-Architecture: all
+Architecture: linux-any
 Depends: ${misc:Depends},
-    clevis,
+    clevis (= ${binary:Version}),
     cryptsetup-bin,
     luksmeta,
-Description: LUKSv1 integration for clevis
- This package allows you to bind a LUKSv1 volume to a clevis unlocking
- policy. For automated unlocking, an unlocker will also be required.
- See, for example, clevis-dracut and clevis-udisks2.
+Description: LUKS integration for clevis
+ This package allows binding a LUKS encrytped volume to a clevis
+ unlocking policy. For automated unlocking, an unlocker will also be
+ required. See, for example, clevis-dracut and clevis-udisks2.
 
 Package: clevis-systemd
 Architecture: linux-any
 Depends: ${misc:Depends},
-    clevis-luks,
+    clevis-luks (= ${binary:Version}),
     ncat,
     systemd,
 Description: systemd integration for clevis
  Clevis is a plugable framework for automated decryption. This package
- provides automatic unlocking of LUKSv1 _netdev block devices from
- /etc/crypttab.
+ provides automatic unlocking of LUKS encrypted _netdev block devices
+ from /etc/crypttab.
 
 Package: clevis-udisks2
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends},
+    adduser,
+    clevis-luks (= ${binary:Version}),
+    libblockdev-crypto2,
+    udisks2,
 Description: UDisks2/Storaged integration for clevis
  Clevis is a plugable framework for automated decryption. This package
- provides automatic unlocking LUKSv1 block devices in desktop
+ provides automatic unlocking LUKS encrypted block devices in desktop
  environments that use UDisks2 or storaged.

=== debian/tests/control ===
Tests: run-testsuite
Depends:
    clevis-dracut,
    clevis-initramfs,
    clevis-tpm2,
    clevis-udisks2,
    cryptsetup,
    jose,
    jq,
    moreutils,
    openssl,
Restrictions:
    needs-root,

## clevis 15

=== debian/changelog ===
clevis (15-5) unstable; urgency=medium

  * Install clevis-luks-askpass as executable. Closes: #979711

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 16 Jan 2021 12:51:32 +0100

clevis (15-4) unstable; urgency=medium

  * Cherry-pick test-suite reorganisation commits
  * Re-organize and enhance autopkgtest. Closes: #979248

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 04 Jan 2021 22:50:12 +0100

clevis (15-3) unstable; urgency=medium

  * Enhance "Work around /dev/fd/<num> no longer being created by
    systemd". Closes: #979089

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 03 Jan 2021 15:18:50 +0100

clevis (15-2) unstable; urgency=medium

  * Fix build on non-usrmerged chroots

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 29 Dec 2020 12:52:13 +0100

clevis (15-1) unstable; urgency=medium

  * New upstream version 15
  * Work around /dev/fd/<num> no longer being created by systemd.
    Closes: #968518
  * Cherry-pick support for tpm2-tools 5.X. Closes: #978574

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 28 Dec 2020 22:55:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with=bash-completion

override_dh_fixperms:
	dh_fixperms
	chmod u+s debian/clevis-udisks2/usr/libexec/clevis-luks-udisks2
	chmod 0755 debian/clevis-systemd/usr/libexec/clevis-luks-askpass

## clevis 16

=== debian/changelog ===
clevis (16-2) unstable; urgency=medium

  * Cherry-pick "Fix issue with multiple encrypted devices"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 28 Feb 2021 16:50:28 +0100

clevis (16-1) unstable; urgency=medium

  * New upstream version 16

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 10 Feb 2021 09:25:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: clevis
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/clevis
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://git.in-ulm.de/cbiedl/clevis
 Vcs-Git: https://git.in-ulm.de/cbiedl/clevis.git
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
     asciidoctor,
     bash-completion,
     curl,
@@ -62,6 +62,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
     clevis-systemd (= ${binary:Version}),
+    dracut,
     dracut-network,
 Description: Clevis integration for dracut
  Clevis is a plugable framework for automated decryption. This package
@@ -93,7 +94,6 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
     clevis-luks (= ${binary:Version}),
-    ncat,
     systemd,
 Description: systemd integration for clevis
  Clevis is a plugable framework for automated decryption. This package

## clevis 18

=== debian/changelog ===
clevis (18-1ubuntu1) jammy; urgency=medium

  * debian/patches/0001-sss-use-BN_set_word-x-0-instead-of-
    BN_zero.patch: Cherry-pick patch from upstream to use BN_set_word(x, 0)
    instead of BN_zero(), fixing compatibility with OpenSSL 3.
    Closes: #995657.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 15:48:00 -0800

clevis (18-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:28:56 +0000

clevis (18-1) unstable; urgency=medium

  * New upstream version 18
  * Rework patch for detection of systemd-reply-password. Closes: #993246

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 30 Aug 2021 22:23:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,3 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod u+s debian/clevis-udisks2/usr/libexec/clevis-luks-udisks2
-	chmod 0755 debian/clevis-systemd/usr/libexec/clevis-luks-askpass

=== debian/tests/control ===
Tests: run-testsuite
Depends:
    clevis,
    clevis-luks,
    cryptsetup,
    jose,
    jq,
    moreutils,
    openssl,
    socat,
    systemd,
    tang (>= 7-3~),
Restrictions:
    needs-root,
Architecture: linux-any

## clevis 19

=== debian/changelog ===
clevis (19-6) unstable; urgency=medium

  * Take the systemd service unit location from
    systemd.pc/systemdsystemunitdir. Closes: #1052632

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Dec 2023 08:43:41 +0100

clevis (19-5) experimental; urgency=medium

  * Upload to experimental
  * Purge erroneous bug number from previous entry. Really Closes: #1052278

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 20 Sep 2023 20:59:23 +0200

clevis (19-4) experimental; urgency=medium

  * Upload to experimental
  * Move remaining files from / to /usr. Closes: #<redacted>

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 19 Sep 2023 21:56:16 +0200

clevis (19-3) unstable; urgency=medium

  * Retire versioned dependencies met even in oldstable
  * libblockdev-crypto2: Drop libblockdev dependency, not needed.
    Closes: #1040924

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 23 Jul 2023 12:04:17 +0200

clevis (19-2) unstable; urgency=medium

  * autopkgtest: Re-enable unbind-unbound-slot-luks2
  * Fix trigger names

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 02 Feb 2023 20:55:55 +0100

clevis (19-1) unstable; urgency=medium

  * New upstream version 19

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 28 Jan 2023 17:54:09 +0100

clevis (18-2) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Sss: use BN_set_word(x, 0) instead of BN_zero() (Closes: #995657)
    - Do not kill non clevis slots (#315)
    - Avoid luksmeta corruption on clevis bind (#319)
    - Use `command -v` instead of `which`
  * Document a sometime-needed hint to crypttab. Closes: #1000648

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 08 May 2022 21:41:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: clevis
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/clevis
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://git.in-ulm.de/cbiedl/clevis
 Vcs-Git: https://git.in-ulm.de/cbiedl/clevis.git
 Build-Depends: debhelper-compat (= 13),
     asciidoctor,
     bash-completion,
+    cryptsetup-bin,
     curl,
     dracut-core,
     initramfs-tools,
     jose,
-    libaudit-dev (>= 1:2.7.8),
+    jq,
+    libaudit-dev,
     libglib2.0-dev,
-    libjansson4 (>= 2.10),
+    libjansson4,
     libjose-dev,
-    libluksmeta-dev (>= 8),
+    libluksmeta-dev,
     libpwquality-tools,
     libssl-dev,
     libudisks2-dev,
     meson,
+    pkgconf,
     systemd,
     tang,
     tpm2-tools,
@@ -86,7 +89,7 @@
     cryptsetup-bin,
     luksmeta,
 Description: LUKS integration for clevis
- This package allows binding a LUKS encrytped volume to a clevis
+ This package allows binding a LUKS encrypted volume to a clevis
  unlocking policy. For automated unlocking, an unlocker will also be
  required. See, for example, clevis-dracut and clevis-udisks2.
 
@@ -105,7 +108,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
     adduser,
     clevis-luks (= ${binary:Version}),
-    libblockdev-crypto2,
     udisks2,
 Description: UDisks2/Storaged integration for clevis
  Clevis is a plugable framework for automated decryption. This package

## clevis 20

=== debian/changelog ===
clevis (20-1) unstable; urgency=medium

  * New upstream version 20. Closes: #1068640
  * Update build dependency to systemd-dev. Closes: #1060561
  * Add jq to install dependncies of clevis-luks. Closes: #1068603

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 09 Apr 2024 12:12:39 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
     libudisks2-dev,
     meson,
     pkgconf,
-    systemd,
+    systemd-dev,
     tang,
     tpm2-tools,
 Priority: optional
@@ -87,6 +87,7 @@
 Depends: ${misc:Depends},
     clevis (= ${binary:Version}),
     cryptsetup-bin,
+    jq,
     luksmeta,
 Description: LUKS integration for clevis
  This package allows binding a LUKS encrypted volume to a clevis

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+export systemdsystemunitdir = $(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 %:
 	dh $@ --with=bash-completion

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
     openssl,
     socat,
     systemd,
-    tang (>= 7-3~),
+    tang,
 Restrictions:
     needs-root,
 Architecture: linux-any

=== debian/watch ===

version=4
opts="searchmode=plain" \
https://api.github.com/repos/latchset/@PACKAGE@/releases \
    https://github.com/latchset/@PACKAGE@/releases/download/[^/]+/@PACKAGE@-([0-9][.0-9]*)@ARCHIVE_EXT@

## clevis 21

=== debian/changelog ===
clevis (21-1+tpm1u8+ubuntu25.04) plucky; urgency=medium

  * Updated to lastest master.

 -- Oldřich Jedlička <oldium.pro@gmail.com>  Tue, 28 Oct 2025 12:25:59 +0100

clevis (21-1) unstable; urgency=medium

  * New upstream version 21.

 -- Oldřich Jedlička <oldium.pro@gmail.com>  Sat, 28 Sep 2024 21:27:39 +0200

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,29 @@
     jose,
     jq,
     libaudit-dev,
+    libcryptsetup-dev,
     libglib2.0-dev,
     libjansson4,
     libjose-dev,
     libluksmeta-dev,
     libpwquality-tools,
     libssl-dev,
+    libtss2-tcti-tabrmd0,
     libudisks2-dev,
-    meson,
+    lsof,
+    luksmeta,
+    meson (>= 0.62.0),
+    opensc,
+    pcscd,
     pkgconf,
-    systemd-dev,
+    procps,
+    socat,
+    softhsm2,
+    systemd (<= 253) | systemd-dev,
+    systemd,
+    swtpm-tools,
     tang,
+    tpm-tools,
     tpm2-tools,
 Priority: optional
 Rules-Requires-Root: no
@@ -47,6 +59,34 @@
  .
  It supports tang and shamir secret sharing (SSS).
 
+Package: clevis-file
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    clevis (= ${binary:Version}),
+Recommends:
+    cryptsetup-bin,
+Description: automated encryption framework, password from file support
+ Clevis is a plugable framework for automated decryption. It can be used
+ to provide automated decryption of data or even automated unlocking of
+ LUKS volumes.
+ .
+ This package provides the file pin.
+
+Package: clevis-tpm1
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    clevis (= ${binary:Version}),
+    tpm-tools,
+    trousers,
+Recommends:
+    cryptsetup-bin,
+Description: automated encryption framework, TPM1 support
+ Clevis is a plugable framework for automated decryption. It can be used
+ to provide automated decryption of data or even automated unlocking of
+ LUKS volumes.
+ .
+ This package provides the TPM1 pin.
+
 Package: clevis-tpm2
 Architecture: linux-any
 Depends: ${misc:Depends},
@@ -61,11 +101,27 @@
  .
  This package provides the TPM2 pin.
 
+Package: clevis-pkcs11
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+    clevis (= ${binary:Version}),
+    opensc,
+    socat,
+    pcscd,
+Recommends:
+    cryptsetup-bin,
+Description: automated encryption framework, PKCS#11 support
+ Clevis is a plugable framework for automated decryption. It can be used
+ to provide automated decryption of data or even automated unlocking of
+ LUKS volumes.
+ .
+ This package provides the PKCS#11 pin.
+
 Package: clevis-dracut
 Architecture: linux-any
 Depends: ${misc:Depends},
     clevis-systemd (= ${binary:Version}),
-    dracut,
+    dracut-core,
     dracut-network,
 Description: Clevis integration for dracut
  Clevis is a plugable framework for automated decryption. This package
@@ -76,7 +132,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
     clevis-luks (= ${binary:Version}),
-    initramfs-tools,
+    initramfs-tools-core,
 Description: Clevis initramfs integration
  Clevis is a plugable framework for automated decryption. This package
  provides integration for initramfs-tools to automatically unlock LUKS
@@ -99,6 +155,8 @@
 Depends: ${misc:Depends},
     clevis-luks (= ${binary:Version}),
     systemd,
+Recommends:
+    systemd (<< 256) | systemd-cryptsetup (>= 256),
 Description: systemd integration for clevis
  Clevis is a plugable framework for automated decryption. This package
  provides automatic unlocking of LUKS encrypted _netdev block devices
@@ -114,3 +172,4 @@
  Clevis is a plugable framework for automated decryption. This package
  provides automatic unlocking LUKS encrypted block devices in desktop
  environments that use UDisks2 or storaged.
+
